/*--------------------------------------------------------------
  # Grid Layout - Logo | Nav | User | Main | Footer
--------------------------------------------------------------*/
.layout {
  width: 100vw;
  height: 100vh;
  position: absolute;
  overflow-y: hidden;
  overflow-x: hidden;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 0.1fr 2.9fr 0.1fr;
  grid-gap: 0.3rem;
  grid-template-areas: 'header' 'main' 'footer';
}

header {
  grid-area: header;
  display: grid;
  grid-template-columns: 0.2fr 1.2fr 0.2fr;
  grid-template-rows: none;
  grid-gap: 0.1rem;
  padding: 0 0.1rem;
  color: #ffffff;
  background-color: rgba(52, 58, 64, 0.8);
}

.lay-header-left,
.lay-header-center,
.lay-header-right {
  display: grid;
  justify-content: center;
  align-content: center;
}

main {
  grid-area: main;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  grid-gap: 0.1rem;
  padding: 0 0.1rem;
  position: relative;
  overflow-y: auto;
  overflow-x: auto;
}

footer {
  grid-area: footer;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: none;
  grid-gap: 0.1rem;
  padding: 0 0.1rem;
  color: #ffffff;
  background-color: rgba(52, 58, 64, 0.8);
}

.lay-footer-left,
.lay-footer-center,
.lay-footer-right {
  display: grid;
  justify-content: center;
  align-content: center;
}

section {
  padding: 0.2rem 0.7rem;
}

.lay-card-body {
  min-height: 75vh;
}

/*--------------------------------------------------------------
  # Grid Layout - Login
--------------------------------------------------------------*/

.layout-login {
  margin-top: 8%;
  display: grid;
  grid-template-columns: 0.9fr 1.2fr 0.9fr;
  grid-template-rows: 1fr;
  gap: 0px 0px;
  grid-template-areas: '. lay-body-login .';
}

.lay-body-login {
  grid-area: lay-body-login;
  padding: 2rem;
  border-radius: 2rem;
  color: #000000;
  background-color: rgba(243, 244, 241);
}

@media (max-width: 1152px) {
  .layout-login {
    grid-template-columns: 0.2fr 2.6fr 0.2fr;
  }

  .lay-body-login {
    padding: 1.5rem;
    border-radius: 1rem;
  }
}

/*--------------------------------------------------------------
  # NavBar
--------------------------------------------------------------*/

.navbar .navbar-toggler {
  top: 0.25rem;
  right: 1rem;
  color: var(--primaryColor);
}

.nav-menu a {
  color: #ffffff;
  font-size: 31px;
  text-transform: capitalize;
}

@media (max-width: 991px) {
  .nav-menu a {
    font-size: 16px;
  }
}

.nav-menu ul.dropdown-menu > li > a,
.navbar ul ul ul.dropdown-menu li .nav-link {
  font-size: 14px;
  line-height: 22px;
  display: block;
  position: relative;
  z-index: 1;
  padding-left: 15px;
  padding-top: 10px;
  padding-bottom: 10px;
  text-transform: capitalize;
}

.nav-menu ul.dropdown-menu > li > a:hover,
.navbar ul ul ul.dropdown-menu li .nav-link:hover {
  color: var(--primaryColor);
}

.nav-menu .dropdown-item:focus,
.dropdown-item:hover {
  color: var(--primaryColor);
  text-decoration: none;
  background-color: transparent;
}

.nav-menu .dropdown-toggle::after {
  display: none;
}

.nav-menu .dropdown-menu {
  background-color: rgba(52, 58, 64, 0.8);
  border-radius: 5px;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  -o-border-radius: 5px;
  -ms-border-radius: 5px;
  box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.5);
}

.nav-menu .dropdown:hover .dropdown-menu {
  -webkit-transform: scaleY(1);
  -moz-transform: scaleY(1);
  -ms-transform: scaleY(1);
  -o-transform: scaleY(1);
}

.nav-menu li {
  position: relative;
  padding: 0px 3px 0px 3px;
}

.nav-menu li:after {
  align-items: center;
  text-align: center;
  position: absolute;
  width: 100%;
  height: 2px;
  content: '';
  background-color: var(--primaryColor);
  opacity: 0;
  z-index: 1 !important;
}

.nav-menu li:hover:after {
  opacity: 1;
}

/*--------------------------------------------------------------
  # Card
--------------------------------------------------------------*/

.card {
  color: #000000;
  background-color: rgba(243, 244, 241);
}

/*--------------------------------------------------------------
  # List Group
--------------------------------------------------------------*/

.list-group-item {
  color: #000000;
  background-color: rgba(243, 244, 241);
}

/*--------------------------------------------------------------
  # Modal
--------------------------------------------------------------*/

.modal-content {
  color: #000000;
  background-color: rgba(243, 244, 241);
}

/*--------------------------------------------------------------
  # Bootstrap Select
--------------------------------------------------------------*/

.bootstrap-select .show {
  max-width: 170%;
}

@media (max-width: 996px) {
  .bootstrap-select .show {
    max-width: 120%;
  }
}

.bootstrap-select .dropdown-menu .dropdown-item:hover {
  background-color: #c5c8ce94;
  color: black;
}

/*--------------------------------------------------------------
  # BTN File
--------------------------------------------------------------*/

.btn-file input[type='file'] {
  position: absolute;
  top: 0;
  left: 0;
  min-width: 100%;
  min-height: 100%;
  opacity: 0;
}
